List sub-users
curl --request GET \
--url https://api.skinshark.gg/merchant/users \
--header 'api-key: <api-key>'import requests
url = "https://api.skinshark.gg/merchant/users"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.skinshark.gg/merchant/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "<string>",
"success": true,
"data": {
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"steamId": "<string>",
"externalId": "<string>",
"feeBps": 123,
"balance": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
},
"error": {
"code": 1500,
"key": "INSUFFICIENT_BALANCE",
"message": "Insufficient balance"
}
}{
"requestId": "<string>",
"success": true,
"data": "<unknown>",
"error": {
"code": 1500,
"key": "INSUFFICIENT_BALANCE",
"message": "Insufficient balance"
}
}{
"requestId": "<string>",
"success": true,
"data": "<unknown>",
"error": {
"code": 1500,
"key": "INSUFFICIENT_BALANCE",
"message": "Insufficient balance"
}
}Users
List sub-users
Auth context: merchant only.
GET
/
merchant
/
users
List sub-users
Authorizations
Your raw API key. Generate, rotate, and revoke keys from the merchant
dashboard. Keys can optionally be bound to one or more allowed source
IPs — requests from any other IP are rejected with API_KEY_IP_DENIED.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Available options:
active, suspended, deleted Required string length:
1 - 128Required string length:
1 - 128⌘I